require( "scripts/styles/style.lua" );
require( "scripts/styles/uistyle.lua" );
require( "scripts/styles/accountsstyle.lua" );

MakeState
{
	BlgBitmap{
			image = "common/backgrounds/alpha_black",
			name = "mainmenuBG",
			center = {x = 0, y = 0},
	},
	
	name = gDialogTable.name,

	BlgMovieClip{
			
		SetStyle(WindowBGStyle),
		BlgBitmap {
			image = "common/backgrounds/umbrella",
			center = {x = 0, y = 0},
			transformMatrix = {x = 697, y = 134},
		},
		BlgBitmap {
			image = "common/popups/quit/box",
			center = {x = 0, y = 0},
			transformMatrix = {x = 198, y = 199},
		},
		
		SetStyle(WindowLogoStyle),
		BlgBitmap{
			image = "common/backgrounds/logo_01_big",
			name = "mainmenuBG",
			center = {x = 0, y = 0},
			transformMatrix = {x = 151, y = 168},
		},
		SetStyle(WindowBGStyle),
		BlgContainer{
			transformMatrix = {x = 168, y = 230},
			
				
			BlgText {
				
				name = "exitText",
				label = gDialogTable.title,
				w = 300,
				h = 200,
				flags = kHAlignCenter + kVAlignCenter,
				transformMatrix = {x = 210, y = 0},
				font = ChangePlayerLabelFont,
				
			},
		},

		SetStyle(Button1Style),
		BlgButton{
			name="okBtn",
			transformMatrix = {x = 640, y = 416},
			label = "wnd_okdialog_ok",
			--close = true,
			upState = {
				bitmap = "common/buttons/btn_default",
			},
			overState = {
				bitmap = "common/buttons/btn_rollover",
			},
			downState = {
				bitmap = "common/buttons/btn_pushed",
				sound = kDefaultButtonSound,
			},
			command =
				function()
					ReleaseResolutionMsgRestriction();
					PopState();
				end
		},
	},

}; -- MakeState